Manquait un morceau de ménage sur le fichier de tests des ACLs

This commit is contained in:
Alan Garcia 2013-03-03 11:57:57 +00:00
parent a981feac88
commit c4f5b70cc7
2 changed files with 4 additions and 1 deletions

View File

@ -218,12 +218,14 @@ while [ "$QUEST_STATE" != 0 -a "$QUEST_STATE" != 13 ]; do
setfacl -m u:root:rwx "$aclcheckfile" 2>/dev/null setfacl -m u:root:rwx "$aclcheckfile" 2>/dev/null
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
test -e "$aclcheckfile" && rm -f "$aclcheckfile" || true
db_input critical alternc/acluninstalled || true db_input critical alternc/acluninstalled || true
db_go db_go
db_reset alternc/acluninstalled || true db_reset alternc/acluninstalled || true
db_fset alternc/acluninstalled "seen" "false" || true db_fset alternc/acluninstalled "seen" "false" || true
exit 2 exit 2
fi fi
test -e "$aclcheckfile" && rm -f "$aclcheckfile" || true
quota -gA -f $MOUNT_POINT 2>/dev/null quota -gA -f $MOUNT_POINT 2>/dev/null

View File

@ -141,7 +141,8 @@ done
# Check ACL # Check ACL
aclcheckfile="$ALTERNC_HTML/test-acl" aclcheckfile="$ALTERNC_HTML/test-acl"
touch "$aclcheckfile" touch "$aclcheckfile"
setfacl -m u:root:rwx "$aclcheckfile" 2>/dev/null || ( echo "Error : ACL aren't activated on $ALTERNC_HTML . AlternC can't work without it." ; exit 2) setfacl -m u:root:rwx "$aclcheckfile" 2>/dev/null || ( echo "Error : ACL aren't activated on $ALTERNC_HTML . AlternC can't work without it." ; test -e "$aclcheckfile" && rm -f "$aclcheckfile" ; exit 2)
test -e "$aclcheckfile" && rm -f "$aclcheckfile"
# XXX: copy-paste from debian/config # XXX: copy-paste from debian/config
if [ -r /etc/alternc/my.cnf ]; then if [ -r /etc/alternc/my.cnf ]; then